%global momorel 2
%define enable_debug 1

%global _sbindir /sbin

%global optflags %(echo %{optflags}|sed 's/-fstack-protector//')

Name: reiser4progs
Version: 1.0.4
Release: %{momorel}m
Summary: Utilities for reiser4 filesystems
License: GPL
Group: System Environment/Base
URL: http://www.namesys.com/
%NoSource 0 ftp://ftp.namesys.com/pub/%{name}/%{name}-%{version}.tar.gz b2cbc8eb9429b50e0e99ba4eeda4801e
Patch0: dont-exec-run-ldconfig.patch
BuildPreReq: libaal-devel >= 1.0.4
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Utilities for manipulating reiser4 filesystems.

%package devel
Summary: Development libraries and headers for developing reiser4 tools.
Group: Development/Libraries

%description devel
Development libraries and headers for developing reiser4 tools.

%prep
%setup -q
%patch0 -p1

%build
%undefine __libtoolize
CFLAGS="$CFLAGS -fno-stack-protector %{optflags}"
%configure \
%if %{enable_debug}
        --enable-debug \
%else
        --disable-debug \
%endif
	--enable-libminimal \
	--disable-plugins-check \
        --disable-fnv1-hash \
        --disable-rupasov-hash \
        --disable-tea-hash \
        --disable-deg-hash
make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING CREDITS INSTALL NEWS README THANKS TODO
%{_libdir}/libreiser4-1.0.so.*
%{_libdir}/libreiser4-minimal-1.0.so.*
%{_libdir}/librepair-1.0.so.*
# %{_sbindir}/cpfs.reiser4
%{_sbindir}/debugfs.reiser4
%{_sbindir}/fsck.reiser4
%{_sbindir}/make_reiser4
%{_sbindir}/measurefs.reiser4
%{_sbindir}/mkfs.reiser4
# %{_sbindir}/resizefs.reiser4
%{_mandir}/man8/*

%files devel
%defattr(-,root,root)
%{_includedir}/aux/*.h
%dir %{_includedir}/reiser4
%{_includedir}/reiser4/*.h
%{_includedir}/repair/*.h
%{_datadir}/aclocal/libreiser4.m4
%{_libdir}/libreiser4.*a
%{_libdir}/libreiser4-minimal.*a
%{_libdir}/librepair.*a

%changelog
* Wed Mar  2 2005 YAMAZAKI Makoto <zaki@zakky.org>
- (1.0.4-2m)
- 1.0.4 requires libaal-devel >= 1.0.4

* Wed Mar  2 2005 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.0.4-1m)
  update to 1.0.4

* Thu Feb  3 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.0.3-3m)
- enable x86_64.
- add %%{optflags} to CFLAGS (excepted -fstack-protector).

* Thu Jan 20 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.3-2m)
- add --enable-libminimal at %%configure for grub
- add CFLAGS="$CFLAGS -fno-stack-protector"
- more strict BuildPreReq: libaal-devel >= 1.0.3-2m

* Tue Dec 14 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.0.3-1m)
  update to 1.0.3

* Sat Nov 27 2004 TAKAHASHI Tamotsu <tamo>
- (1.0.0-2m)
- add defattr(-,root,root) to devel subpackage

* Fri Sep 17 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.0.0-1m)
  imported

* Fri Aug 29 2003 Yuey V Umanets <umka@namesys.com>
- Some cleanups and improvements inf this spec file
* Wed Aug 27 2003 David T Hollis <dhollis@davehollis.com>
- RPM package created
